- Main Page
- Namespaces
- Classes
- Files
- Directories

- Search for |

- File List
- File Members

# opbdp_solve.hpp File Reference

`#include <string>`
`#include "OsiSolverInterface.hpp"`

Include dependency graph for opbdp_solve.hpp:

Go to the source code of this file.

## Functions
int | solveOpbdp (OsiSolverInterface *model)
| Solve pure 0-1 with integral coefficients etc (or can be made by scaling) using opdbp The solution will be set in model If no solution then returns 0, if not suitable returns -1.
unsigned int ** | solveOpbdp (const OsiSolverInterface *model, int &numberFound)
| Find all solutions of a pure 0-1 with integral coefficients etc (or can be made by scaling) using opdbp Returns an array of bit solution vectors.
bool | atOne (int i, unsigned int *array)
void | setAtOne (int i, unsigned int *array, bool trueFalse)

## Function Documentation

int solveOpbdp | ( | OsiSolverInterface * | model | ) |

Solve pure 0-1 with integral coefficients etc (or can be made by scaling) using opdbp The solution will be set in model If no solution then returns 0, if not suitable returns -1.

unsigned int** solveOpbdp | ( | const OsiSolverInterface * | model,
|  | int & | numberFound |
| ) |  |  |

Find all solutions of a pure 0-1 with integral coefficients etc (or can be made by scaling) using opdbp Returns an array of bit solution vectors.

i is 1 if bit set (see below) If no solution then numberFound will be 0, if not suitable -1

This needs the line at about 206 of EnumerateOpt.cpp

local_maximum = value + 1; // try to reach that one!

replaced by

if (verbosity!=-1) { local_maximum = value + 1; // try to reach that one! } else { local_maximum = 0; void opbdp_save_solution(OrdInt & sol); OrdInt sol = last_solution.to_OrdInt(); opbdp_save_solution(sol); // save solution }

bool atOne | ( | int | i,
|  | unsigned int * | array |
| ) |  |  | `[inline]`

Definition at line 37 of file opbdp_solve.hpp.

void setAtOne | ( | int | i,
|  | unsigned int * | array,
|  | bool | trueFalse |
| ) |  |  | `[inline]`

Definition at line 40 of file opbdp_solve.hpp.